#
# Conditional build:
%bcond_without	gmagick		# GraphicsMagick support

%define	qt_ver	5.3
Summary:	Simple but powerful Qt-based image viewer
Summary(pl.UTF-8):	Prosta, ale mająca duże możliwości przeglądarka obrazków oparta na Qt
Name:		photoqt
Version:	2.5
Release:	3
License:	GPL v2+
Group:		X11/Applications
#Source0Download: http://photoqt.org/down/
Source0:	http://photoqt.org/pkgs/%{name}-%{version}.tar.gz
# Source0-md5:	fa8d5330aa17cf1eb8c49b08e8aea478
URL:		http://photoqt.org/
BuildRequires:	DevIL-devel
%{?with_gmagick:BuildRequires:	GraphicsMagick-c++-devel}
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
BuildRequires:	Qt5Quick-devel >= %{qt_ver}
BuildRequires:	Qt5Sql-devel >= %{qt_ver}
BuildRequires:	Qt5Svg-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 2.8
BuildRequires:	exiv2-devel
BuildRequires:	libraw-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	poppler-qt5-devel
BuildRequires:	python3-pychromecast
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	qt5-linguist >= %{qt_ver}
BuildRequires:	qt5-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.596
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
Requires:	Qt5Quick >= %{qt_ver}
Requires:	Qt5Sql >= %{qt_ver}
Requires:	Qt5Sql-sqldriver-sqlite3 >= %{qt_ver}
Requires:	Qt5Svg >= %{qt_ver}
Requires:	Qt5Widgets >= %{qt_ver}
Requires:	hicolor-icon-theme
# psd imageformat plugin
Suggests:	libqpsd-qt5
Suggests:	xcftools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple but powerful Qt-based image viewer.

%description -l pl.UTF-8
Prosta, ale mająca duże możliwości przeglądarka obrazków oparta na Qt.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	%{!?with_gmagick:-DGM=OFF} \
	-DEXIV2=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%attr(755,root,root) %{_bindir}/photoqt
%{_datadir}/appdata/org.photoqt.PhotoQt.appdata.xml
%{_desktopdir}/org.photoqt.PhotoQt.desktop
%{_desktopdir}/org.photoqt.PhotoQt.standalone.desktop
%{_iconsdir}/hicolor/*x*/apps/photoqt.png
%changelog
* Sat Apr 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/photoqt.git;a=log;h=master

* Sat Apr 02 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ac3b07a
- Relup

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 05c92c5
- rebuild with python 3.10

* Mon Feb 14 2022 Jan Rękorajski <baggins@pld-linux.org> 5302ce9
- up to 2.5

* Wed Jan 30 2019 Jan Rękorajski <baggins@pld-linux.org> 59214d6
- release 5 (by relup.sh)

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> f86eb27
- rebuild with exiv2 0.26
- release 4 (by relup.sh)

* Sun Feb 26 2017 Jan Rękorajski <baggins@pld-linux.org> b794e83
- release 3 (by relup.sh)

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 236d326
- fixed GraphicsMagick BR (C++ interface required), release 2

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 3d63154
- update psd imageformat package name (included in main libqpsd packages)

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 47f3b78
- updated to 1.4.1

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 9877869
- pl, runtime dependencies

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> 8ed6e3f
- update group

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> c319287
- update BR

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> 8f48f60
- qt ver

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> 92421c5
- new, version 1.2

